Glib::Mutex::Lock Class Reference

Utility class for exception-safe mutex locking. More...

`#include <glibmm/thread.h>`

## Public Member Functions

| Lock (Mutex& mutex)
| Lock (Mutex& mutex, NotLock)
| Lock (Mutex& mutex, TryLock)
| ~Lock ()
void | acquire ()
bool | try_acquire ()
void | release ()
bool | locked () const

## Detailed Description

Utility class for exception-safe mutex locking.

Usage example:
  {
  Glib::Mutex::Lock lock (mutex); // calls mutex.lock()
  do_something();
  } // the destructor calls mutex.unlock()
  As you can see, the compiler takes care of the unlocking. This is not only exception safe but also much less error-prone. You could even `return` while still holding the lock and it will be released properly.

Deprecated:
  Use Glib::Threads::Mutex::Lock instead.

## Constructor & Destructor Documentation

## Lock() [1/3]

Glib::Mutex::Lock::Lock | ( | Mutex& | mutex | ) |

inline explicit

## Lock() [2/3]

Glib::Mutex::Lock::Lock | ( | Mutex& | mutex,
|  | NotLock |
| ) |  |

inline

## Lock() [3/3]

Glib::Mutex::Lock::Lock | ( | Mutex& | mutex,
|  | TryLock |
| ) |  |

inline

## ~Lock()

Glib::Mutex::Lock::~Lock | ( |  | ) |

inline

## Member Function Documentation

## acquire()

void Glib::Mutex::Lock::acquire | ( |  | ) |

inline

## locked()

bool Glib::Mutex::Lock::locked | ( |  | ) | const

inline

## release()

void Glib::Mutex::Lock::release | ( |  | ) |

inline

## try_acquire()

bool Glib::Mutex::Lock::try_acquire | ( |  | ) |

inline